#include <iostream>
bool smaller(int x);

int find_number(int MAX){
	int low=1;
	int high=MAX;
	int ans=1;
	while(low<=high){
		int mid=low+(high-low)/2;
		if(smaller(mid+1)){
			ans=mid;
			high=mid-1;
		}
		else{
			ans=mid+1;low=mid+1;
		}
	}
	return ans;
}